import matplotlib.pyplot as plt
from matplotlib import animation


def next_frame(i):
    circle.center = (5 + i % 2, 5 + i % 2)
    circle.radius=i
    rect.xy = (1 + i, 1 + i)
    rect.set_height(i)
    return circle, rect  # dla blit=True


if __name__ == "__main__":
    fig, axes = plt.subplots(nrows=2)
    ax1, ax2 = axes
    ax1.set(xlim=(0, 11), ylim=(0, 11))
    ax1.set_aspect('equal')
    ax2.set(xlim=(0, 11), ylim=(0, 11))

    circle = plt.Circle((5, 5), 2, color='b')
    rect = plt.Rectangle((1, 1), 1, 1, color='r', alpha=0.5)
    ax1.add_patch(circle)
    ax2.add_patch(rect)

    anim = animation.FuncAnimation(fig, next_frame, frames=10, repeat=True, interval=100, blit=True)
    plt.show()
