import matplotlib.pyplot as plt
from matplotlib import animation
from math import sin, cos, pi


def next_frame(i):
    circle.center = (5 + 2 * cos(i * pi / 50), 5 + 2 * sin(i * pi / 50))
    circle.radius = 2 + abs((i % 10) - 5) / 10
    color = (0, 0, abs(sin(i * pi / 50)))
    circle.set_color(color)
    circle.set_alpha(abs(sin(i * pi / 50)))
    
    rect.xy = (1 + i / 10, 1 + i / 10)
    rect.set_height(2 + cos(i * pi / 50))
    rect.set_width(1.5 + sin(i * pi / 50))
    rect.set_alpha(1/2 + cos(i * pi / 10) / 2)
    rect.angle = i

    return circle, rect


if __name__ == "__main__":
    fig, ax = plt.subplots()
    ax.set(xlim=(0, 11), ylim=(0, 11))
    ax.set_aspect('equal')

    circle = plt.Circle((5, 5), 2, color='b')
    rect = plt.Rectangle((1, 1), 1, 1, color='r', alpha=0.5)
    ax.add_patch(circle)
    ax.add_patch(rect)

    anim = animation.FuncAnimation(fig, next_frame, frames=100, repeat=True, interval=100, blit=True)
    plt.show()
